package com.loan.system.service;

import com.loan.system.domain.dto.CollateralDTO;
import com.loan.system.domain.entity.Collateral;
import com.loan.system.domain.vo.CollateralVO;

import java.util.List;

public interface CollateralService {
    List<CollateralVO> findByCaseId(Long caseId);

    Collateral findCollateralByNameAndCaseId(String collateralName, Long caseId, boolean isDelete);

    Collateral saveCollateral(CollateralDTO collateralDTO);

    void updateCollateralById(Long id, CollateralDTO collateralDTO, boolean isDelete);

    void deleteAllByCaseId(Long caseId);

    void logic_delete(Long id);

    void updateCollateralStatusByid(Long id,String  status);
}
